<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
StringTestAndSetAt Method (IEdmDictionary5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmDictionary5 Interface : StringTestAndSetAt Method (IEdmDictionary5)

Visual Basic
C#
C++/CLI

bsKey
  Key for which to set a value

bsValue
  New value

Creates the specified string key if it does not exist and sets its value.

# Syntax

Visual Basic |
--- | ---

    Function StringTestAndSetAt( _
       ByVal bsKey As System.String, _
       ByVal bsValue As System.String _
    ) As System.Boolean

C# |
--- | ---

    System.bool StringTestAndSetAt(
       System.string bsKey,
       System.string bsValue
    )

C++/CLI |
--- | ---

    System.bool StringTestAndSetAt(
    &   System.String^ bsKey,
    &   System.String^ bsValue
    )

#### Parameters

bsKey
  Key for which to set a value
bsValue
  New value

#### Return Value

True if the value of a new key is successfully set, false if not

# Example

Change Card Variables Add-in (VB.NET)
Change Card Variables Add-in (C#)
Create and Delete Dictionaries (C#)
Create and Delete Dictionaries (VB.NET)

# Remarks

The testing and setting are both performed in a single operation. A test-and-set function like this is useful when you need a semaphore to synchronize several clients accessing the same data. See the example in IEdmDictionary5::LongTestAndSetAt.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmDictionary5 Interface
IEdmDictionary5 Members
IEdmDictionary5::StringSetAt Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2